import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Bomba here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bomba extends Enemigo
{
    public Bomba() {
        velocidad = 5;
        puntos = 1;
        vida = 1;
        getImage().scale(20, 20);
    }

    /**
     * Act - do whatever the Bomba wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setLocation(getX(), getY() + velocidad);
        if (this.isAtEdge()) {
            this.getWorld().removeObject(this);
        } else {
            contacto();
        }
        sigoVivo();
    }    
    
    private void contacto() {
        Heroe heroe = (Heroe) this.getOneIntersectingObject(Heroe.class);
        if (heroe != null) {
            vida = 0;
            heroe.quitarVida();
        }        
    }
    
    protected void sigoVivo() {
        if (vida <= 0) {
            getWorld().removeObject(this);
        }
    }
}
