import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Enemigo here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Enemigo extends Actor
{
    protected int velocidad;
    protected int vida;
    protected int puntos;
    /**
     * Act - do whatever the Enemigo wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        movimiento();
        sigoVivo();
    }    
    
    private void movimiento() {
        if (isAtEdge()) {
            velocidad*= -1;
            getImage().mirrorHorizontally();
        }
        setLocation(getX() + velocidad, getY());
    }
    
    protected void sigoVivo() {
        if (vida <= 0) {
            Greenfoot.playSound("bomb.wav");
            //setImage("explosion.png");
            //Greenfoot.delay(5);
            getWorld().addObject(new Explosion(), getX(), getY());
            getWorld().removeObject(this);
        }
    }
    
    public void quitarVida() {
        if (vida > 0) {
            vida--;
        }
    }
    
    public int getPuntos() {
        return puntos;
    }
}
